### Method

# Qmi MessagePbmGetCapabilitiesOutput get_capability_basic_information

since: 1.6

#### Declaration [src]

    gboolean
    qmi_message_pbm_get_capabilities_output_get_capability_basic_information (
      QmiMessagePbmGetCapabilitiesOutput* self,
      QmiPbmSessionType* value_capability_basic_information_session_type,
      QmiPbmPhonebookType* value_capability_basic_information_phonebook_type,
      guint16* value_capability_basic_information_used_records,
      guint16* value_capability_basic_information_maximum_records,
      guint8* value_capability_basic_information_maximum_number_length,
      guint8* value_capability_basic_information_maximum_name_length,
      GError** error
    )

#### Description [src]

Get the ‘Capability Basic Information’ field from `self`.

Available since: 1.6

#### Parameters

`value_capability_basic_information_session_type`

  Type: `QmiPbmSessionType`

  A placeholder for the output `QmiPbmSessionType`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_capability_basic_information_phonebook_type`

  Type: `QmiPbmPhonebookType`

  A placeholder for the output `QmiPbmPhonebookType`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_capability_basic_information_used_records`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_capability_basic_information_maximum_records`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_capability_basic_information_maximum_number_length`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_capability_basic_information_maximum_name_length`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.